require 'json'

package = JSON.parse(File.read(File.join(__dir__, 'package.json')))

Pod::Spec.new do |s|
  s.name = 'CapacitorPluginScanbotBarcodeScannerSdk'
  s.version = package['version']
  s.summary = package['description']
  s.license = { :type => 'Commercial', :file => 'LICENSE' }
  s.homepage = package['homepage']
  s.author = package['author']
  s.source = { :http => 'https://download.scanbot.io/sdk/capacitor/capacitor-plugin-scanbot-barcode-scanner-sdk-' + package['version'] + '.tgz' }
  s.source_files = 'ios/Sources/**/*.{swift,h,m,c,cc,mm,cpp}'
  s.ios.deployment_target  = '13.0'
  s.dependency 'Capacitor'
  s.dependency 'ScanbotBarcodeSDKWrapper', '7.0.2.4'
  s.swift_version = '5.1'
end
