/**
Image rotation.

- `NONE`:
   No rotation.
- `CLOCKWISE_90`:
   90 degrees clockwise rotation.
- `CLOCKWISE_180`:
   180 degrees rotation.
- `COUNTERCLOCKWISE_90`:
   90 degrees counterclockwise rotation.
*/
export type ImageRotation = 'NONE' | 'CLOCKWISE_90' | 'CLOCKWISE_180' | 'COUNTERCLOCKWISE_90';
export declare const ImageRotationValues: ImageRotation[];
