export declare class PartiallyConstructible {
}
export type DeepPartial<T> = T extends PartiallyConstructible ? {
    [P in keyof T]?: DeepPartial<T[P]>;
} : T;
export declare class Point {
    x: number;
    y: number;
    constructor(x: number, y: number);
}
export type Rectangle = {
    width: number;
    height: number;
    x: number;
    y: number;
};
